Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/components/fragment-content/getEditableElement", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-dom'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.getEditableElement = getEditableElement;

    var _metalDom = require("frontend-js-metal-web$metal-dom");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function getEditableElement(target) {
      var editableElement = (0, _metalDom.closest)(target, 'lfr-editable');

      if (!editableElement) {
        editableElement = (0, _metalDom.closest)(target, '[data-lfr-editable-id]');
      }

      if (!editableElement) {
        editableElement = (0, _metalDom.closest)(target, '[data-lfr-background-image-id]');
      }

      return editableElement;
    }
    //# sourceMappingURL=getEditableElement.js.map
  }
});
//# sourceMappingURL=getEditableElement.js.map