Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/reducers/showResolvedCommentsReducer", ['module', 'exports', 'require', '../actions/types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = showResolvedCommentsReducer;
    exports.INITIAL_STATE = void 0;

    var _types = require("../actions/types");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var INITIAL_STATE = false;
    exports.INITIAL_STATE = INITIAL_STATE;

    function showResolvedCommentsReducer() {
      var toggleResolvedComments = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : INITIAL_STATE;
      var action = arguments.length > 1 ? arguments[1] : undefined;

      switch (action.type) {
        case _types.TOGGLE_SHOW_RESOLVED_COMMENTS:
          return action.showResolvedComments;

        default:
          return toggleResolvedComments;
      }
    }
    //# sourceMappingURL=showResolvedCommentsReducer.js.map
  }
});
//# sourceMappingURL=showResolvedCommentsReducer.js.map