Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/selectors/selectCanUpdateEditables", ['module', 'exports', 'require', '../config/constants/viewportSizes'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = selectCanUpdateEditables;

    var _viewportSizes = require("../config/constants/viewportSizes");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */

    /**
     * @param {{ permissions: import("../../types/ActionKeys").ActionKeysMap, selectedViewportSize: string }} state
     */
    function selectCanUpdateEditables(_ref) {
      var permissions = _ref.permissions,
          selectedViewportSize = _ref.selectedViewportSize;
      return !permissions.LOCKED_SEGMENTS_EXPERIMENT && (permissions.UPDATE || permissions.UPDATE_LAYOUT_CONTENT) && selectedViewportSize === _viewportSizes.VIEWPORT_SIZES.desktop;
    }
    //# sourceMappingURL=selectCanUpdateEditables.js.map
  }
});
//# sourceMappingURL=selectCanUpdateEditables.js.map