Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/selectors/selectSegmentsExperienceId", ['module', 'exports', 'require', '../config/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = selectSegmentsExperienceId;

    var _index = require("../config/index");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */

    /**
     * Returns the selected segmentsExperienceId or the default one.
     * Warning: this function may return an empty string if the editor is
     * being used in an environment without experiences (ex. Page Templates).
     *
     * @param {object} state
     * @return {string}
     */
    function selectSegmentsExperienceId(state) {
      var segmentsExperienceId = state.segmentsExperienceId || _index.config.defaultSegmentsExperienceId;
      return segmentsExperienceId ? "".concat(segmentsExperienceId) : null;
    }
    //# sourceMappingURL=selectSegmentsExperienceId.js.map
  }
});
//# sourceMappingURL=selectSegmentsExperienceId.js.map