Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/common/components/ImageSelector", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../app/utils/useId', '../../core/openImageSelector'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.ImageSelector = ImageSelector;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _form = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/form"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _useId = require("../../app/utils/useId");

    var _openImageSelector = require("../../core/openImageSelector");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function ImageSelector(_ref) {
      var _ref$imageTitle = _ref.imageTitle,
          imageTitle = _ref$imageTitle === void 0 ? Liferay.Language.get('none') : _ref$imageTitle,
          label = _ref.label,
          onClearButtonPressed = _ref.onClearButtonPressed,
          onImageSelected = _ref.onImageSelected;
      var imageTitleId = (0, _useId.useId)();
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_form.default.Group, null, /*#__PURE__*/_react.default.createElement("label", {
          htmlFor: imageTitleId
        }, label), /*#__PURE__*/_react.default.createElement(_form.ClayInput, {
          className: "page-editor__item-selector__content-input",
          id: imageTitleId,
          onClick: function onClick() {
            return (0, _openImageSelector.openImageSelector)(function (image) {
              onImageSelected(image);
            });
          },
          placeholder: Liferay.Language.get('none'),
          readOnly: true,
          sizing: "sm",
          value: imageTitle
        })), /*#__PURE__*/_react.default.createElement(_button.default.Group, null, /*#__PURE__*/_react.default.createElement("div", {
          className: "btn-group-item"
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          displayType: "secondary",
          onClick: function onClick() {
            return (0, _openImageSelector.openImageSelector)(function (image) {
              onImageSelected(image);
            });
          },
          small: true
        }, Liferay.Language.get('select'))), /*#__PURE__*/_react.default.createElement("div", {
          className: "btn-group-item"
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          borderless: true,
          displayType: "secondary",
          onClick: onClearButtonPressed,
          small: true
        }, Liferay.Language.get('clear')))))
      );
    }
    //# sourceMappingURL=ImageSelector.js.map
  }
});
//# sourceMappingURL=ImageSelector.js.map