Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/plugins/fragments-widgets/components/SearchResultsPanel", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/alert', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './TabCollection'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = SearchResultsPanel;

    var _alert = _interopRequireDefault(require("@frontend-taglib-clay$clayui/alert"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _TabCollection = _interopRequireDefault(require("./TabCollection"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function SearchResultsPanel(_ref) {
      var filteredTabs = _ref.filteredTabs;
      return filteredTabs.length ? filteredTabs.map(function (tab, index) {
        return (/*#__PURE__*/_react.default.createElement("div", {
            key: index
          }, /*#__PURE__*/_react.default.createElement("div", {
            className: "page-editor__fragments-widgets__search-results-panel__filter-subtitle"
          }, tab.label), tab.collections.map(function (collection, index) {
            return (/*#__PURE__*/_react.default.createElement(_TabCollection.default, {
                collection: collection,
                isSearchResult: true,
                key: index,
                open: true
              })
            );
          }))
        );
      }) : /*#__PURE__*/_react.default.createElement(_alert.default, {
        displayType: "info",
        title: Liferay.Language.get('info')
      }, Liferay.Language.get('there-are-no-fragments-or-widgets-on-this-page'));
    }

    SearchResultsPanel.proptypes = {
      filteredTabs: _propTypes.default.object.isRequired
    };
    //# sourceMappingURL=SearchResultsPanel.js.map
  }
});
//# sourceMappingURL=SearchResultsPanel.js.map