Liferay.Loader.define("style-book-web@1.0.46/js/style-book-editor/useCloseProductMenu", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useCloseProductMenu = useCloseProductMenu;

    var _react = require("frontend-js-react-web$react");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function useCloseProductMenu() {
      (0, _react.useEffect)(function () {
        var sideNavigation = Liferay.SideNavigation.instance(document.querySelector('.product-menu-toggle'));

        if (sideNavigation && sideNavigation.visible()) {
          sideNavigation.hide();
        }
      }, []);
    }
    //# sourceMappingURL=useCloseProductMenu.js.map
  }
});
//# sourceMappingURL=useCloseProductMenu.js.map