Liferay.Loader.define("style-book-web@1.0.46/js/style-book-editor/useId", ['module', 'exports', 'require', 'frontend-js-react-web$react', './config'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useId = void 0;

    var _react = require("frontend-js-react-web$react");

    var _config = require("./config");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var nextId = 0;

    var useId = function useId() {
      return (0, _react.useMemo)(function () {
        return "".concat(_config.config.namespace, "_useId_").concat(nextId++);
      }, []);
    };

    exports.useId = useId;
    //# sourceMappingURL=useId.js.map
  }
});
//# sourceMappingURL=useId.js.map