Liferay.Loader.define("roles-admin-web@4.0.86/js/GroupLabels.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/label', 'frontend-js-web', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = GroupLabels;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _label = _interopRequireDefault(require("@frontend-taglib-clay$clayui/label"));

    var _frontendJsWeb = require("frontend-js-web");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _toConsumableArray(arr) {
      return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
    }

    function _nonIterableSpread() {
      throw new TypeError("Invalid attempt to spread non-iterable instance");
    }

    function _iterableToArray(iter) {
      if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
    }

    function _arrayWithoutHoles(arr) {
      if (Array.isArray(arr)) {
        for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) {
          arr2[i] = arr[i];
        }return arr2;
      }
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function GroupLabels(_ref) {
      var itemSelectorURL = _ref.itemSelectorURL,
          portletNamespace = _ref.portletNamespace,
          target = _ref.target;

      var _useState = (0, _react.useState)([]),
          _useState2 = _slicedToArray(_useState, 2),
          groupIds = _useState2[0],
          setGroupIds = _useState2[1];

      var _useState3 = (0, _react.useState)([]),
          _useState4 = _slicedToArray(_useState3, 2),
          groupNames = _useState4[0],
          setGroupNames = _useState4[1];

      (0, _react.useEffect)(function () {
        setGroupIds(document["".concat(portletNamespace, "fm")]["".concat(portletNamespace, "groupIds").concat(target)].value.split(',').filter(function (groupId) {
          return !!groupId;
        }));
        setGroupNames(document["".concat(portletNamespace, "fm")]["".concat(portletNamespace, "groupNames").concat(target)].value.split('@@').filter(function (name) {
          return !!name;
        }));
      }, [portletNamespace, target]);
      (0, _react.useEffect)(function () {
        document["".concat(portletNamespace, "fm")]["".concat(portletNamespace, "groupIds").concat(target)].value = groupIds.join(',');
        document["".concat(portletNamespace, "fm")]["".concat(portletNamespace, "groupNames").concat(target)].value = groupNames.join('@@');
      }, [groupIds, groupNames, portletNamespace, target]);
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("span", {
          className: "permission-scopes"
        }, groupNames.length === 0 ? /*#__PURE__*/_react.default.createElement("span", null, Liferay.Language.get('all-sites-and-asset-libraries')) : groupNames.map(function (name, i) {
          return (/*#__PURE__*/_react.default.createElement(_label.default, {
              closeButtonProps: {
                onClick: function onClick() {
                  setGroupNames(groupNames.filter(function (name) {
                    return name !== groupNames[i];
                  }));
                  setGroupIds(groupIds.filter(function (id) {
                    return id !== groupIds[i];
                  }));
                }
              },
              key: i,
              large: true
            }, name)
          );
        })), /*#__PURE__*/_react.default.createElement(_button.default, {
          displayType: "unstyled",
          onClick: function onClick() {
            (0, _frontendJsWeb.openSelectionModal)({
              onSelect: function onSelect(event) {
                if (event.grouptarget === target) {
                  setGroupIds(function (groupIds) {
                    return groupIds.indexOf(event.groupid) == -1 ? [].concat(_toConsumableArray(groupIds), [event.groupid]) : groupIds;
                  });
                  setGroupNames(function (groupNames) {
                    return groupNames.indexOf(event.groupdescriptivename) == -1 ? [].concat(_toConsumableArray(groupNames), [event.groupdescriptivename]) : groupNames;
                  });
                }
              },
              selectEventName: "".concat(portletNamespace, "selectGroup").concat(target),
              selectedData: groupIds,
              title: Liferay.Util.sub(Liferay.Language.get('select-x'), Liferay.Language.get('site')),
              url: itemSelectorURL
            });
          }
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "pencil"
        }), " ", Liferay.Language.get('change')))
      );
    }
    //# sourceMappingURL=GroupLabels.es.js.map
  }
});
//# sourceMappingURL=GroupLabels.es.js.map