Liferay.Loader.define("content-dashboard-web@1.0.68/js/ContentDashboardManagementToolbarDefaultEventHandler", ['module', 'exports', 'require', 'frontend-js-web'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var ContentDashboardManagementToolbarDefaultEventHandler = /*#__PURE__*/function (_DefaultEventHandler) {
      _inherits(ContentDashboardManagementToolbarDefaultEventHandler, _DefaultEventHandler);

      function ContentDashboardManagementToolbarDefaultEventHandler() {
        _classCallCheck(this, ContentDashboardManagementToolbarDefaultEventHandler);

        return _possibleConstructorReturn(this, _getPrototypeOf(ContentDashboardManagementToolbarDefaultEventHandler).apply(this, arguments));
      }

      _createClass(ContentDashboardManagementToolbarDefaultEventHandler, [{
        key: "selectAuthor",
        value: function selectAuthor(itemData) {
          var _this = this;

          (0, _frontendJsWeb.openSelectionModal)({
            buttonAddLabel: Liferay.Language.get('select'),
            multiple: true,
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var redirectURL = itemData.redirectURL;
                selectedItem.forEach(function (item) {
                  redirectURL = (0, _frontendJsWeb.addParams)(_this.namespace + 'authorIds=' + item.id, redirectURL);
                });
                (0, _frontendJsWeb.navigate)(redirectURL);
              }
            },
            selectEventName: this.ns('selectedAuthorItem'),
            title: itemData.dialogTitle,
            url: itemData.selectAuthorURL
          });
        }
      }, {
        key: "selectAssetCategory",
        value: function selectAssetCategory(itemData) {
          var _this2 = this;

          var itemSelectorDialog = new _frontendJsWeb.ItemSelectorDialog({
            buttonAddLabel: Liferay.Language.get('select'),
            eventName: this.ns('selectedAssetCategory'),
            title: itemData.dialogTitle,
            url: itemData.selectAssetCategoryURL
          });
          itemSelectorDialog.on('selectedItemChange', function (event) {
            var selectedItem = event.selectedItem;

            if (selectedItem) {
              var assetCategories = Object.keys(selectedItem).filter(function (key) {
                return !selectedItem[key].unchecked;
              });
              var redirectURL = itemData.redirectURL;
              assetCategories.forEach(function (assetCategory) {
                redirectURL = (0, _frontendJsWeb.addParams)(_this2.namespace + 'assetCategoryId=' + selectedItem[assetCategory].categoryId, redirectURL);
              });
              (0, _frontendJsWeb.navigate)(redirectURL);
            }
          });
          itemSelectorDialog.open();
        }
      }, {
        key: "selectAssetTag",
        value: function selectAssetTag(itemData) {
          var _this3 = this;

          (0, _frontendJsWeb.openSelectionModal)({
            buttonAddLabel: Liferay.Language.get('select'),
            multiple: true,
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var assetTags = selectedItem['items'].split(',');
                var redirectURL = itemData.redirectURL;
                assetTags.forEach(function (assetTag) {
                  redirectURL = (0, _frontendJsWeb.addParams)(_this3.namespace + 'assetTagId=' + assetTag, redirectURL);
                });
                (0, _frontendJsWeb.navigate)(redirectURL);
              }
            },
            selectEventName: this.ns('selectedAssetTag'),
            title: itemData.dialogTitle,
            url: itemData.selectTagURL
          });
        }
      }, {
        key: "selectContentDashboardItemType",
        value: function selectContentDashboardItemType(itemData) {
          var _this4 = this;

          (0, _frontendJsWeb.openSelectionModal)({
            buttonAddLabel: Liferay.Language.get('select'),
            multiple: true,
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var redirectURL = itemData.redirectURL;
                selectedItem.forEach(function (item) {
                  redirectURL = (0, _frontendJsWeb.addParams)(_this4.namespace + 'contentDashboardItemTypePayload=' + JSON.stringify(item), redirectURL);
                });
                (0, _frontendJsWeb.navigate)(redirectURL);
              }
            },
            selectEventName: this.ns('selectedContentDashboardItemTypeItem'),
            title: itemData.dialogTitle,
            url: itemData.selectContentDashboardItemTypeURL
          });
        }
      }, {
        key: "selectScope",
        value: function selectScope(itemData) {
          var _this5 = this;

          (0, _frontendJsWeb.openSelectionModal)({
            id: this.ns('selectedScopeIdItem'),
            onSelect: function onSelect(selectedItem) {
              (0, _frontendJsWeb.navigate)((0, _frontendJsWeb.addParams)(_this5.namespace + 'scopeId=' + selectedItem.groupid, itemData.redirectURL));
            },
            selectEventName: this.ns('selectedScopeIdItem'),
            title: itemData.dialogTitle,
            url: itemData.selectScopeURL
          });
        }
      }]);

      return ContentDashboardManagementToolbarDefaultEventHandler;
    }(_frontendJsWeb.DefaultEventHandler);

    var _default = ContentDashboardManagementToolbarDefaultEventHandler;
    exports.default = _default;
    //# sourceMappingURL=ContentDashboardManagementToolbarDefaultEventHandler.js.map
  }
});
//# sourceMappingURL=ContentDashboardManagementToolbarDefaultEventHandler.js.map