Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/actions/addItem", ['module', 'exports', 'require', './types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = addItem;

    var _types = require("./types");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function addItem(_ref) {
      var itemId = _ref.itemId,
          layoutData = _ref.layoutData,
          fragmentEntryLinkIds = _ref.fragmentEntryLinkIds,
          _ref$portletIds = _ref.portletIds,
          portletIds = _ref$portletIds === void 0 ? [] : _ref$portletIds;
      return {
        fragmentEntryLinkIds: fragmentEntryLinkIds,
        itemId: itemId,
        layoutData: layoutData,
        portletIds: portletIds,
        type: _types.ADD_ITEM
      };
    }
    //# sourceMappingURL=addItem.js.map
  }
});
//# sourceMappingURL=addItem.js.map