Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/components/layout-data-items/hasDropZoneChild", ['module', 'exports', 'require', '../../config/constants/layoutDataItemTypes'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = hasDropZoneChild;

    var _layoutDataItemTypes = require("../../config/constants/layoutDataItemTypes");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function hasDropZoneChild(item, layoutData) {
      return item.children.some(function (childrenId) {
        var children = layoutData.items[childrenId];
        return children.type === _layoutDataItemTypes.LAYOUT_DATA_ITEM_TYPES.dropZone ? true : hasDropZoneChild(children, layoutData);
      });
    }
    //# sourceMappingURL=hasDropZoneChild.js.map
  }
});
//# sourceMappingURL=hasDropZoneChild.js.map