Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/components/undo/undoAddItem", ['module', 'exports', 'require', '../../thunks/deleteItem'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.undoAction = undoAction;
    exports.getDerivedStateForUndo = getDerivedStateForUndo;

    var _deleteItem = _interopRequireDefault(require("../../thunks/deleteItem"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function undoAction(_ref) {
      var action = _ref.action,
          store = _ref.store;
      var itemId = action.itemId;
      return (0, _deleteItem.default)({
        itemId: itemId,
        store: store
      });
    }

    function getDerivedStateForUndo(_ref2) {
      var action = _ref2.action;
      return {
        itemId: action.itemId
      };
    }
    //# sourceMappingURL=undoAddItem.js.map
  }
});
//# sourceMappingURL=undoAddItem.js.map