Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/components/undo/undoChangeMasterLayout", ['module', 'exports', 'require', '../../../app/thunks/changeMasterLayout'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.undoAction = undoAction;
    exports.getDerivedStateForUndo = getDerivedStateForUndo;

    var _changeMasterLayout = _interopRequireDefault(require("../../../app/thunks/changeMasterLayout"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function undoAction(_ref) {
      var action = _ref.action;
      return (0, _changeMasterLayout.default)({
        masterLayoutPlid: action.masterLayoutPlid
      });
    }

    function getDerivedStateForUndo(_ref2) {
      var action = _ref2.action,
          state = _ref2.state;
      return {
        masterLayoutPlid: state.masterLayout.masterLayoutPlid,
        nextMasterLayoutPlid: action.masterLayoutPlid
      };
    }
    //# sourceMappingURL=undoChangeMasterLayout.js.map
  }
});
//# sourceMappingURL=undoChangeMasterLayout.js.map