Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/reducers/sidebarReducer", ['module', 'exports', 'require', '../actions/types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = sidebarReducer;
    exports.INITIAL_STATE = void 0;

    var _types = require("../actions/types");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var DEFAULT_PANEL_ID = 'fragments-widgets';
    var INITIAL_STATE = {
      open: false,
      panelId: DEFAULT_PANEL_ID
    };
    exports.INITIAL_STATE = INITIAL_STATE;

    function sidebarReducer() {
      var sidebarStatus = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : INITIAL_STATE;
      var action = arguments.length > 1 ? arguments[1] : undefined;

      if (action.type === _types.SWITCH_SIDEBAR_PANEL) {
        return {
          open: action.sidebarOpen,
          panelId: action.sidebarPanelId === undefined ? sidebarStatus.panelId : action.sidebarPanelId
        };
      }

      return sidebarStatus;
    }
    //# sourceMappingURL=sidebarReducer.js.map
  }
});
//# sourceMappingURL=sidebarReducer.js.map