Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/selectors/selectEditableValueContent", ['module', 'exports', 'require', '../config/index', './selectEditableValue'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = selectEditableValueContent;

    var _index = require("../config/index");

    var _selectEditableValue = _interopRequireDefault(require("./selectEditableValue"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function selectEditableValueContent(state, fragmentEntryLinkId, editableId, processorType) {
      var languageId = state.languageId;
      var data = (0, _selectEditableValue.default)(state, fragmentEntryLinkId, editableId, processorType);
      var content = data;

      if (content[languageId]) {
        content = content[languageId];
      } else if (content[_index.config.defaultLanguageId]) {
        content = content[_index.config.defaultLanguageId];
      }

      if (content == null || content.defaultValue) {
        content = data.defaultValue;
      }

      return content;
    }
    //# sourceMappingURL=selectEditableValueContent.js.map
  }
});
//# sourceMappingURL=selectEditableValueContent.js.map