Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/thunks/addFragmentComment", ['module', 'exports', 'require', '../actions/addFragmentEntryLinkComment', '../services/FragmentService'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = addFragmentComment;

    var _addFragmentEntryLinkComment = _interopRequireDefault(require("../actions/addFragmentEntryLinkComment"));

    var _FragmentService = _interopRequireDefault(require("../services/FragmentService"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function addFragmentComment(_ref) {
      var body = _ref.body,
          fragmentEntryLinkId = _ref.fragmentEntryLinkId,
          _ref$parentCommentId = _ref.parentCommentId,
          parentCommentId = _ref$parentCommentId === void 0 ? undefined : _ref$parentCommentId;
      return function (dispatch) {
        return _FragmentService.default.addComment({
          body: body,
          fragmentEntryLinkId: fragmentEntryLinkId,
          onNetworkStatus: dispatch,
          parentCommentId: parentCommentId
        }).then(function (fragmentEntryLinkComment) {
          dispatch((0, _addFragmentEntryLinkComment.default)({
            fragmentEntryLinkComment: fragmentEntryLinkComment,
            fragmentEntryLinkId: fragmentEntryLinkId,
            parentCommentId: parentCommentId
          }));
        });
      };
    }
    //# sourceMappingURL=addFragmentComment.js.map
  }
});
//# sourceMappingURL=addFragmentComment.js.map