Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/thunks/changeMasterLayout", ['module', 'exports', 'require', '../actions/changeMasterLayout', '../services/LayoutService'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = changeMasterLayout;

    var _changeMasterLayout = _interopRequireDefault(require("../actions/changeMasterLayout"));

    var _LayoutService = _interopRequireDefault(require("../services/LayoutService"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function changeMasterLayout(_ref) {
      var masterLayoutPlid = _ref.masterLayoutPlid;
      return function (dispatch) {
        return _LayoutService.default.changeMasterLayout({
          masterLayoutPlid: masterLayoutPlid,
          onNetworkStatus: dispatch
        }).then(function () {
          var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
          dispatch((0, _changeMasterLayout.default)({
            fragmentEntryLinks: data.fragmentEntryLinks,
            masterLayoutData: data.masterLayoutData,
            masterLayoutPlid: masterLayoutPlid
          }));
          return data;
        });
      };
    }
    //# sourceMappingURL=changeMasterLayout.js.map
  }
});
//# sourceMappingURL=changeMasterLayout.js.map