Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/utils/canBeRemoved", ['module', 'exports', 'require', '../components/layout-data-items/hasDropZoneChild', '../config/constants/layoutDataItemTypes'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = canBeRemoved;

    var _hasDropZoneChild = _interopRequireDefault(require("../components/layout-data-items/hasDropZoneChild"));

    var _layoutDataItemTypes = require("../config/constants/layoutDataItemTypes");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function canBeRemoved(item, layoutData) {
      switch (item.type) {
        case _layoutDataItemTypes.LAYOUT_DATA_ITEM_TYPES.column:
        case _layoutDataItemTypes.LAYOUT_DATA_ITEM_TYPES.dropZone:
          return false;

        default:
          return !(0, _hasDropZoneChild.default)(item, layoutData);
      }
    }
    //# sourceMappingURL=canBeRemoved.js.map
  }
});
//# sourceMappingURL=canBeRemoved.js.map